* 68000shortをZ80/8086形式の２バイト(int)データにして格納する関数
* unchar *stoc80(short c,unsigned char buff[2])
* buffにはbyte境界でも書き込めるようにしておく

	.text
	.even

	.xdef	_stoc80
_stoc80:
	move.w	4+2(sp),d0	* short
	move.l	8(sp),a0	* buff
	move.b	d0,(a0)+	* L
	lsr.w	#8,d0
	move.b	d0,(a0)+	* H
	move.l	a0,d0
	rts

	.end
